<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>BSI FIDELIO eService: C:/Development/workspaces/adesso/eService/src/de/bund/bsi/fidelio/poc/service/TokenKeyService.java Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">BSI FIDELIO eService
   &#160;<span id="projectnumber">1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_token_key_service_8java_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">TokenKeyService.java</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_token_key_service_8java.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">package </span>de.bund.bsi.fidelio.poc.service;</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">import</span> java.io.IOException;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">import</span> java.util.function.Function;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">import</span> javax.servlet.http.HttpServletRequest;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">import</span> javax.servlet.http.HttpServletResponse;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">import</span> <a class="code" href="namespacede.html">de</a>.<a class="code" href="namespacede_1_1bund.html">bund</a>.<a class="code" href="namespacede_1_1bund_1_1bsi.html">bsi</a>.<a class="code" href="namespacede_1_1bund_1_1bsi_1_1fidelio.html">fidelio</a>.<a class="code" href="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc.html">poc</a>.<a class="code" href="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core.html">core</a>.<a class="code" href="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto.html">crypto</a>.<a class="code" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_f_i_d_e_l_i_o_secret_key.html">FIDELIOSecretKey</a>;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html">   19</a></span>&#160;<span class="keyword">public</span> <span class="keyword">interface </span><a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html">TokenKeyService</a> {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">public</span> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html">Context</a> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html#a0f2158c786eb69d3f388211a83e72ae9">create</a>(<span class="keyword">final</span> String realm);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">public</span> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html">Context</a> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html#a0f2158c786eb69d3f388211a83e72ae9">create</a>(<span class="keyword">final</span> String realm, <span class="keyword">final</span> HttpServletRequest request);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="comment">// public Context create(final String realm, final Object ctxInfo);</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keyword">public</span> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html">Context</a> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html#abe9b394519620e72ada6f1ac97b53a93">finish</a>(<span class="keyword">final</span> String <span class="keywordtype">id</span>);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html">   57</a></span>&#160;    <span class="keyword">interface </span><a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html">Context</a> {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        Object <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#a84e37eb395dd83c1ebe26c4a29cfce79">connect</a>(<span class="keyword">final</span> byte[] appIdHash, <span class="keyword">final</span> HttpServletResponse response, <span class="keyword">final</span> String reentryUrl)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;                <span class="keywordflow">throws</span> IOException;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keyword">abstract</span> <span class="keywordtype">void</span> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#a4bcc5c4731afc50fbc099291e1b5005b">setDiv</a>(Function&lt;byte[], byte[]&gt; fKDF);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keyword">public</span> Object <span class="keyword">get</span>(<span class="keyword">final</span> String key);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <span class="keyword">public</span> <span class="keywordtype">void</span> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#ab87719e99e712d074dcb7389a4a5b19d">put</a>(<span class="keyword">final</span> String key, <span class="keyword">final</span> Object value);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keyword">public</span> <a class="code" href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_f_i_d_e_l_i_o_secret_key.html">FIDELIOSecretKey</a> <a class="code" href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#ad2ff3d4ad65863f73ca022b256488b4b">fKX</a>(<span class="keywordtype">short</span> ctr, byte[]... divData);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    }</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;}</div><div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context_html_a84e37eb395dd83c1ebe26c4a29cfce79"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#a84e37eb395dd83c1ebe26c4a29cfce79">de.bund.bsi.fidelio.poc.service.TokenKeyService.Context.connect</a></div><div class="ttdeci">Object connect(final byte[] appIdHash, final HttpServletResponse response, final String reentryUrl)</div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_html_a0f2158c786eb69d3f388211a83e72ae9"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html#a0f2158c786eb69d3f388211a83e72ae9">de.bund.bsi.fidelio.poc.service.TokenKeyService.create</a></div><div class="ttdeci">Context create(final String realm)</div></div>
<div class="ttc" id="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_html"><div class="ttname"><a href="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core.html">de.bund.bsi.fidelio.poc.core</a></div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_html"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html">de.bund.bsi.fidelio.poc.service.TokenKeyService</a></div><div class="ttdef"><b>Definition:</b> <a href="_token_key_service_8java_source.html#l00019">TokenKeyService.java:19</a></div></div>
<div class="ttc" id="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_f_i_d_e_l_i_o_secret_key_html"><div class="ttname"><a href="classde_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_1_1_f_i_d_e_l_i_o_secret_key.html">de.bund.bsi.fidelio.poc.core.crypto.FIDELIOSecretKey</a></div><div class="ttdef"><b>Definition:</b> <a href="_f_i_d_e_l_i_o_secret_key_8java_source.html#l00009">FIDELIOSecretKey.java:9</a></div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context_html_a4bcc5c4731afc50fbc099291e1b5005b"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#a4bcc5c4731afc50fbc099291e1b5005b">de.bund.bsi.fidelio.poc.service.TokenKeyService.Context.setDiv</a></div><div class="ttdeci">abstract void setDiv(Function&lt; byte[], byte[]&gt; fKDF)</div></div>
<div class="ttc" id="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_html"><div class="ttname"><a href="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc.html">de.bund.bsi.fidelio.poc</a></div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_html_abe9b394519620e72ada6f1ac97b53a93"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service.html#abe9b394519620e72ada6f1ac97b53a93">de.bund.bsi.fidelio.poc.service.TokenKeyService.finish</a></div><div class="ttdeci">Context finish(final String id)</div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context_html_ab87719e99e712d074dcb7389a4a5b19d"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#ab87719e99e712d074dcb7389a4a5b19d">de.bund.bsi.fidelio.poc.service.TokenKeyService.Context.put</a></div><div class="ttdeci">void put(final String key, final Object value)</div></div>
<div class="ttc" id="namespacede_html"><div class="ttname"><a href="namespacede.html">de</a></div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context_html_ad2ff3d4ad65863f73ca022b256488b4b"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html#ad2ff3d4ad65863f73ca022b256488b4b">de.bund.bsi.fidelio.poc.service.TokenKeyService.Context.fKX</a></div><div class="ttdeci">FIDELIOSecretKey fKX(short ctr, byte[]... divData)</div></div>
<div class="ttc" id="namespacede_1_1bund_1_1bsi_html"><div class="ttname"><a href="namespacede_1_1bund_1_1bsi.html">de.bund.bsi</a></div></div>
<div class="ttc" id="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context_html"><div class="ttname"><a href="interfacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1service_1_1_token_key_service_1_1_context.html">de.bund.bsi.fidelio.poc.service.TokenKeyService.Context</a></div><div class="ttdef"><b>Definition:</b> <a href="_token_key_service_8java_source.html#l00057">TokenKeyService.java:57</a></div></div>
<div class="ttc" id="namespacede_1_1bund_1_1bsi_1_1fidelio_html"><div class="ttname"><a href="namespacede_1_1bund_1_1bsi_1_1fidelio.html">de.bund.bsi.fidelio</a></div></div>
<div class="ttc" id="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto_html"><div class="ttname"><a href="namespacede_1_1bund_1_1bsi_1_1fidelio_1_1poc_1_1core_1_1crypto.html">de.bund.bsi.fidelio.poc.core.crypto</a></div><div class="ttdef"><b>Definition:</b> <a href="_crypto_profile_8java_source.html#l00001">CryptoProfile.java:1</a></div></div>
<div class="ttc" id="namespacede_1_1bund_html"><div class="ttname"><a href="namespacede_1_1bund.html">de.bund</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_821818eb74338e35a65f6fbb6b6439d5.html">de</a></li><li class="navelem"><a class="el" href="dir_aed0f333c467b9813cdb4ca5bf21300d.html">bund</a></li><li class="navelem"><a class="el" href="dir_346851372df3dc57f10a0e34e7cdb6f5.html">bsi</a></li><li class="navelem"><a class="el" href="dir_1d637c5f431828e7699998ba10862327.html">fidelio</a></li><li class="navelem"><a class="el" href="dir_8ebefae09cc9186ac018f5e9efaf9a56.html">poc</a></li><li class="navelem"><a class="el" href="dir_608a15662f0ef7198fa444f3edd43c1f.html">service</a></li><li class="navelem"><a class="el" href="_token_key_service_8java.html">TokenKeyService.java</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
